Problems with setup of Rails and FCGI lighttpd setup


#1

Hello,

i’m trying to use Rails with lighttpd on windows but i can’t get it
running. Thats my config file:


server.port = 8000
server.bind = “127.0.0.1”
server.modules = ( “mod_rewrite”, “mod_fastcgi”, “mod_accesslog” )
url.rewrite = ("^/$" => “index.html”, “([^.]+)$” => “$1.html”)
server.error-handler-404 = “/dispatch.fgi”

accesslog.filename = “y:/rails_tests/demo/access.log”
server.document-root = “Y:/rails_tests/demo/public/”
server.errorlog = “y:/rails_tests/demo/server.log”

fastcgi.server = ( “.fcgi” =>
( “railsapp” =>
(
“host” => “127.0.0.1”,
“port” => 1026,
“bin-path” => “y:/rails_tests/demo/public/dispatch.fcgi”,
“bin-environment” => ( “RAILS_ENV” => “development” )
)
)
)

and i get the following ruby error message on startup:

c:/ruby184_rc1/lib/ruby/gems/1.8/gems/activesupport-1.3.1/lib/active_support/dependencies.rb:123:in
const_missing': uninitialized constant RailsFCGIHandler (NameError) from c:/ruby184_rc1/lib/ruby/gems/1.8/gems/activesupport-1.3.1/lib/active_support/dependenci es.rb:131:inconst_missing’
from y:/rails_tests/demo/public/dispatch.fcgi:25

Any ideas what’s going wrong ?


#2

Hi-

On May 12, 2006, at 3:04 PM, Lothar S. wrote:

server.error-handler-404 = “/dispatch.fgi”
“port” => 1026,
c:/ruby184_rc1/lib/ruby/gems/1.8/gems/activesupport-1.3.1/lib/


Best regards, emailto: scholz at
scriptolutions dot com
Lothar S. http://www.ruby-ide.com
CTO Scriptolutions Ruby, PHP, Python IDE 's

Lothar-

Lighttpd does not work on windows with fcgi. When I have to run

windows I have had good luck with lighttpd-.>mod_proxy-> mongrel
servers.

-Ezra